com.ihr.xbrl.om.table.definition

## Class UnitAction

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.UnitAction

- All Implemented Interfaces:
    UnitAspectInterface, Aspect<XBRLUnit>

      public class UnitAction
      extends java.lang.Object
      implements UnitAspectInterface

  The Class UnitAction.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnitAction(XBRLRuleNode formula, com.ihr.xbrl.om.table.definition.UnitAspectRule.UnitOperationType code, net.sf.saxon.s9api.XdmNode actionNode)` Instantiates a new unit action.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAspectClashIdentity()` Returns an object that can be used to evaluate aspect clash.
    `int` | `getAspectType()` Returns a value from the CommonAspectRule class that identifies the aspect type.
    `com.ihr.xbrl.om.table.definition.UnitAspectRule.UnitOperationType` | `getCode()` Gets the code.
    `XBRLUnit` | `getMember(XBRLStructuralTable table, CellHeader[] header)` Convert this aspect into a proper Member
    `XBRLUnit` | `getUnit(XBRLStructuralTable xbrlTable)` Returns the calculated unit for this aspect.
    `void` | `resetNode()` Reset node.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnitAction

          public UnitAction(XBRLRuleNode formula,
                    com.ihr.xbrl.om.table.definition.UnitAspectRule.UnitOperationType code,
                    net.sf.saxon.s9api.XdmNode actionNode)
                     throws XTValidationException

      Instantiates a new unit action.
      Parameters:
        `formula` - the formula
        `code` - the code
        `actionNode` - the action node
      Throws:
        `XTValidationException` - the XT validation exception

  - ### Method Detail

    - #### getUnit

          public XBRLUnit getUnit(XBRLStructuralTable xbrlTable)

      Description copied from interface: `UnitAspectInterface`
      Returns the calculated unit for this aspect.
      Specified by:
        `getUnit` in interface `UnitAspectInterface`
      Parameters:
        `xbrlTable` - the xbrl table
      Returns:
        a XBRLUnit

    - #### getCode

          public com.ihr.xbrl.om.table.definition.UnitAspectRule.UnitOperationType getCode()

      Gets the code.
      Returns:
        the code

    - #### getAspectClashIdentity

          public java.lang.Object getAspectClashIdentity()

      Description copied from interface: `Aspect`
      Returns an object that can be used to evaluate aspect clash.
      Specified by:
        `getAspectClashIdentity` in interface `Aspect<XBRLUnit>`
      Returns:
        the aspect clash identity

    - #### getAspectType

          public int getAspectType()

      Description copied from interface: `Aspect`
      Returns a value from the CommonAspectRule class that identifies the aspect type.
      Specified by:
        `getAspectType` in interface `Aspect<XBRLUnit>`
      Returns:
        the aspect type

    - #### getMember

          public XBRLUnit getMember(XBRLStructuralTable table,
                           CellHeader[] header)

      Description copied from interface: `Aspect`
      Convert this aspect into a proper Member depending on the aspect type. Member can be used later to search for facts that satisfy the set of members
      Specified by:
        `getMember` in interface `Aspect<XBRLUnit>`
      Parameters:
        `table` - the table
        `header` - the header
      Returns:
        the member

    - #### resetNode

          public void resetNode()

      Description copied from interface: `UnitAspectInterface`
      Reset node.
      Specified by:
        `resetNode` in interface `UnitAspectInterface`